Skip to content

/ai/domains/{id}/policy (PUT)

PUT
/ai/domains/{id}/policy
curl --request PUT \
--url https://example.com/api/v1/ai/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "enabled": true, "allowAttachments": true }'
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
enabled
boolean
allowAttachments
boolean
Examplegenerated
{
"enabled": true,
"allowAttachments": true
}

Default Response

Media typeapplication/json
object
domainId
required
string
domain
required
string
enabled
required
boolean
allowAttachments
required
boolean
updatedAt
required
Any of:
string
Examplegenerated
{
"domainId": "example",
"domain": "example",
"enabled": true,
"allowAttachments": true,
"updatedAt": "example"
}